Bug Hunting Session
Bug 124206 - TABLE: Difference between default style as template and default style as style is not clear
Summary: TABLE: Difference between default style as template and default style as styl...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.5.2 release
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Sidebar-Styles Writer-Table-Insert-Dialog
  Show dependency treegraph
 
Reported: 2019-03-19 13:23 UTC by Dieter Praas
Modified: 2019-08-27 15:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter Praas 2019-03-19 13:23:47 UTC
This is a follow up from bug 108227.

Regarding to bug 108227 comment 7, both a table template (Insert Table dialog)and a table style (Sidebar) are named "Default style". This is inconsistent, because you would - for example - expect, that default style is highlighted in the sidebar, if you choose default style in the insert table dialog.


Jim Raykowski proposed as solutions (bug 108227 comment 9):

1) Remove 'Default Style' from the list of table styles shown in the Sidebar table styles panel

2) Add an option in the Insert Table dialog to insert a table using table styles as a template. Document the difference between template and style use.


I think, there is a need for improvement.

cc: Design-Team
Comment 1 Heiko Tietze 2019-03-29 08:54:39 UTC
Unlike paragraphs, newly inserted tables don't receive the default style automatically. That's in fact an inconsistency. We could apply the default automatically but it likely changes the used formatting as the table style doesn't pick up the paragraph settings. Alternatively we could just rename Default Style to "Plain" (or something else), which sounds to me as the most simple solution and close to proposal #1. 

About #2, there is Table > Insert Table, which offers to apply a style with the creation. That works for all but Default. Not sure that this bug would be solved when the style is named differently.

Other opinions?
Comment 2 Cor Nouws 2019-06-12 08:40:22 UTC
(In reply to Heiko Tietze from comment #1)
`> doesn't pick up the paragraph settings. Alternatively we could just rename
> Default Style to "Plain" (or something else), which sounds to me as the most
> simple solution and close to proposal #1.
Souds best to me.

> About #2, there is Table > Insert Table, which offers to apply a style with
> the creation. That works for all but Default. Not sure that this bug would
> be solved when the style is named differently.
Sounds even better.

But be prepared for a can of worms maybe with loading older documents.
Comment 3 Thomas Lendo 2019-06-12 23:07:38 UTC
I thought:
- A table needs to have a style and that it's not possible (and wanted) to have a table without a style. This is the reason why a 'default style' table style should exist.
- Table templates are a dying feature which is implemented with exchanging the old table 'AutoFormat' with table styles.


If it's not possible or wanted that the user must choose a table style like he has to choose a paragraph, then the renaming from 'default style' to 'plain' is good.

For me, the final solution should be to have a real 'default style' for tables as it exists for other styles.

I don't see a problem with paragraph styles as Heiko mentioned in comment 1. The user shouldn't assume that paragraph settings and table settings should be the same or similar.

Does "using table styles as a template" mean that there should be a checkbox in the table insert dialog that the choosen style should be the default for all future inserted tables in this document?
Comment 4 Heiko Tietze 2019-06-13 07:53:18 UTC
(In reply to Thomas Lendo from comment #3)
> - Table templates are a dying feature which is implemented with exchanging
> the old table 'AutoFormat' with table styles.

The "table style" is still a template and what we have in the sidebar is the same functionality as in the autoformat dialog. Having a Default style that doesn't change the paragraph settings (eg. font name) might be possible when the binary format is replaced by a sane xml format.

Meanwhile let's go with "Plain" and see how well this works. Taking... (unless someone else is eager to look into).
Comment 5 Harald Koester 2019-07-25 08:51:05 UTC
(In reply to Heiko Tietze from comment #4)
> Meanwhile let's go with "Plain" and see how well this works. Taking...
> (unless someone else is eager to look into).

Currently it seemed to me, that there is a 'table template' with the name “Default Style” and a 'table style' with the same name:

(a) In the dialogue Insert Table the 'template' “Default Style” is displayed and can be selected by the user. 
(b) In the sidebar the 'style' “Default Style” is displayed. 
(c) And in the AutoFormat dialogue both, the 'template' and the 'style' “Default Style” are displayed with the same item in the list. If you select “Default Style” in this dialogue the 'style' is assigned to the table.

So which of them, the 'style' or the 'template' “Default Style”, shall be replaced by “Plain” and shall the other one still exist?


I'm not sure, that both, 'table templates' and 'table styles', should be supported in parallel:

(1) Users are irritated or even confused.
(2) It is not clear what the difference between templates and styles is. For me too.
(3) If you have both, both have to be supported differently at two points in the UI, in order to avoid more confusion:
  (a) Insert Table dialogue.
  (b) AutoFormat dialogue.
(4) At least in German the differentiation is ambiguous. The words for both items would be “Tabellenvorlage” and “Tabellenformatvorlage”

Due to these reasons I tend to support only table styles.
Comment 6 Heiko Tietze 2019-07-30 12:38:23 UTC
(In reply to Harald Koester from comment #5)
> So which of them, the 'style' or the 'template' “Default Style”, shall be
> replaced by “Plain” and shall the other one still exist?

Thought "Plain" works better than "Default Style" but it doesn't. So I looked deeper and fixed the issue of apparently not having applied a style (and added a style None to deal with the respective option). That means when you go via menu Table > Insert Table you get the choosen style highlighted.
https://gerrit.libreoffice.org/#/c/76599/1

But it still not works when a table is inserted via toolbar. In this case it seems to me that no style is applied at all.
Comment 7 Commit Notification 2019-08-08 07:23:04 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/52e574ffd2450956645939abc50c83637c89df01%5E%21

Resolves tdf#124206 - Default style not applied

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2019-08-08 07:25:00 UTC
(In reply to Heiko Tietze from comment #6)
> But it still not works when a table is inserted via toolbar. In this case it
> seems to me that no style is applied at all.

According to Jim, the toolbar behavior relies on Tools > Options > LibreOffice Writer > Table > New Table Defaults. For consistency we should either remove this option or have a selection of table styles in the options dialog where the user picks what her default - and apply this in case of the toolbar. Not an easy decision and well suited for a follow-up ticket.
Comment 9 Jim Raykowski 2019-08-08 20:40:53 UTC
+1 for follow up ticket
Comment 10 Dieter Praas 2019-08-27 15:05:26 UTC
(In reply to Commit Notification from comment #7)
> Affected users are encouraged to test the fix and report feedback.

Default style is now highlighted in the sidebar, if you chooseTable => Insert Table => Styles (Default Style)

I also agree, that a follow up ticket is useful.

=> Verified fixed with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded